/* application.hh
* This file is part of ncursesxx library
* Copyright (c) 2003,2004 by Stanislav Ievlev
*
* This file is covered by the GNU Library General Public License,
* which should be included with libncursesxx as the file COPYING.
*/
#ifndef NCURSESXX_APPLICATION_HH__
#define NCURSESXX_APPLICATION_HH__

#include <curses.h>

namespace ncurses
{
	class application /**< basic ncurses library initialization */
	{
	public:
		application(); /**< setup ncurses enviroment */
		~application(); /**< reset default terminal settings, finish application */
		int width() const; /**< width of the screen */
		int height() const ; /**< height of the screen */
		void cursor_on(); /**< turn on cursor */
		void cursor_off(); /**< turn off cursor */
	private:
		SCREEN	*screen_; /**< main ncurses screen */
	};
}

#endif
