/* color.hh
* This file is part of ncursesxx library
* Copyright (c) 2003,2004 by Stanislav Ievlev
*
* This file is covered by the GNU Library General Public License,
* which should be included with libncursesxx as the file COPYING.
*/
#ifndef NCURSESXX_COLOR_HH__
#define NCURSESXX_COLOR_HH__

#include <curses.h>

namespace ncurses
{

	class color
	{ /**< contents one color pair */
	public:
		color();
		color(short f, short b, attr_t attr = WA_NORMAL);
		color(const color& other);
		color& operator=(const color& other);
		~color();

		short num() const;
		attr_t attr() const;
	private:
		void swap(color& other);
		short num_;	/**< number of color pair */
		attr_t attr_;	/**< additional attributes*/
	};
}

#endif
